# ===================================
#  Field Definitions
# ===================================

fields:
  name:
    label: Name
    disabled: true
    comment: Will be taken from the property

  property_id:
    label: Property
    type: dropdown
    options: listProperties
    emptyOption: -- choose property --
    required: true

  url_alias:
    label: URL alias

  description:
    label: Description
    type: richeditor
    comment: If empty then will be used property short description
    size: huge

  about_block:
    label: Full description
    type: richeditor
    size: huge

#  info_blocks:
#    label: Info blocks
#    type: repeater
#    titleFrom: Additional info element
#    form:
#      fields:
#        label:
#          label: Additional info title
#        content:
#          label: Additional info content
#          type: richeditor
#          size: huge

  activities_title:
    label: Activities title

  activities_description:
    label: Activities description
    type: richeditor
    size: huge

  faqs:
    label: Hotel FAQs
    type: repeater
    titleFrom: FAQ
    form:
      fields:
        q:
          label: Question
          type: text
        a:
          label: Answer
          type: textarea

  activities_cards:
    label: Activities cards
    type: repeater
    titleFrom: Activity card element
    form:
      fields:
        activity_card:
          label: Override label (leave empty to use default)
          type: dropdown
          options: listActivitiesCards
          emptyOption: -- choose activity card --

        title:
          label: Override title (leave empty to use default)
        short_description:
          label: Override short description (leave empty to use default)
        description:
          label: Override description (leave empty to use default)

  additional_html:
    label: Additional html
    comment: Any additional html (template engine markup allowed)
    type: textarea

  you_may_like:
    label: You may like
    comment: Hotel pages for You may like block
    type: taglist
    options: listHotelPages
    customTags: false
    useKey: true
